/****************************************************************************************


		MFCursors.h


		Copyright: (c) 2001 Eovia Corp. All rights reserved.


		Author:	Ian
		Date:	4/13/98

		Revision History

		when		who			what & why
		==========	==========	======================================================
		11/26/99	Ian			Declared kCursor_InverseGrowWindow, which was already defined
								it just didn't have a constant.
		7/19/98		Ian			Added kCursor_NoDrop.

*****************************************************************************************/

#if CP_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __MFCursors_
#define __MFCursors__

#include "MCCursor.h"

enum EMFCursorID
{
//	kCursor_ColumnSizing	= 5,          
//	kCursor_RowSizing		= 6, 

	kCursor_Default				= kCursor_Arrow,

//	CURSOR IDs [Required Resources] ----------------------------------------------
	kCursor_PointingHand		= 10016,		//	'CURS' pointing finger cursor.
	kCursor_OpenHand			= 10017,		//	'CURS' simple hand cursor.
	kCursor_Magnify				= 10018,		//	'CURS' magnifying glass.
	kCursor_DeMagnify			= 10019,		//	'CURS' de-magnifying glass.
	kCursor_NoMagnify			= 10020,		//	'CURS' cant-magnify glass.
	kCursor_GrowWindow			= 10021,		//	'CURS' grow window.
	kCursor_UpDnArrow			= 10022,		//	'CURS' move up/down arrow.
	kCursor_LftRhtArrow			= 10023,		//	'CURS' move left/right arrow.
	kCursor_GraspingHand		= 10024,		//	'CURS' Grasping hand cursor.
	kCursor_NoDrop				= 10025,		//	'CURS' Can't drag & drop to here.
	kCursor_VertSplit			= 10026,		//	'CURS' Can't drag & drop to here.
	kCursor_HorSplit			= 10027,		//	'CURS' Can't drag & drop to here.
	kCursor_Crosshair			= 10028,		//	'CURS' Can't drag & drop to here.
	kCursor_Rotate				= 10029,		//	'CURS' Can't drag & drop to here.
	kCursor_Eyedropper			= 10030,		//	'CURS' Can't drag & drop to here.
	kCursor_InverseGrowWindow	= 10031,


#if 0
//These will go into KwakCursors.h
//	CURSOR IDs [NOT Required Resources (Framework wont use these)] ---------------
	kCURS_MoveXY,						//	'CURS' move on x-y axis.
	kCURS_MoveXZ,						//	'CURS' move on x-z axis.
	kCURS_Rotate2D,						//	'CURS' rotate on screen's plane.
	kCURS_RotateX,						//	'CURS' rotate around x axis.
	kCURS_RotateY,						//	'CURS' rotate around y axis.
	kCURS_RotateZ,						//	'CURS' rotate around z axis.
	kCURS_Rotate3D,						//	'CURS' virtual sphere rotator.
	kCURS_Lasso,						//	'CURS' lasso marquee.
	kCURS_MoveHandZ,					//	'CURS' hand to move fore/backward.
	kCURS_Pen,							//	'CURS' bezier pen.
	kCURS_PenAddPt,						//	'CURS' bezier add point.
	kCURS_PenDelPt,						//	'CURS' bezier remove point.
	kCURS_Pencil,						//	'CURS' pencil.
	kCURS_PencilAddPt,					//	'CURS' add pencil point.
	kCURS_PencilDelPt,					//	'CURS' remove pencil point.
	kCURS_Razor,						//	'CURS' cut line/curve.
	kCURS_RazorMinus,					//	'CURS' cut point on line/curve.
	kCURS_WhiteArrow,					//	'CURS' selection arrow.
	kCURS_WhiteArrowAddPt,				//	'CURS' selection add.
	kCURS_WhiteArrowDelPt,				//	'CURS' selection delete.
	kCURS_WhiteArrowVertex,				//	'CURS' select vertex arrow.
	kCURS_LeftRightArrow,				//	'CURS' move left/right arrow.
	kCURS_Scale1D,						//	'CURS' uniform scale.
	kCURS_Scale2D,						//	'CURS' scale in plane.
	kCURS_ZoomArrow,					//	'CURS' zoom w/ left-right arrow inside.
	kCURS_CrossWithDot					//	'CURS' Cross that has a dot in the center.
#endif
};

#endif
